The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Sensor Performance Stats

Prev Next

This URL provides performance stats for the given metric for the specified sensor, and portId.

Resource URL

GET /sensor/<sensor_id>/performancestats?metric=<metric>&portId=<port_id>&sampling=<sampling>

Request Parameters

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor ID

Number

Yes

metric

Performance stats metric. Can be "CPU_UTILIZATION" /

"MEMORY_UTILIZATION" / "SENSOR_THROUGHPUT" (default) /

"PORT_THROUGHPUT"

String

Yes

port_id

Port ID needs to be specified only if the metric being queried is PORT_THROUGHPUT

Number

No

sampling

Sampling for the stats. Can be “MINUTES” (default), “HOURS”,”DAYS”, “WEEKS”, “MONTHS”

String

No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

statistics

Statistics

Array

Details of object in statistics:

Field Name

Description

Data Type

time

Time

String

value

Value

Double

flows

Flow usage. Will be populated if the metric is "MEMORY_UTILIZATION "

Object

Details of object in flows:

Field Name

Description

Data Type

flowUsage

Flow usage value

Double

decryptedFlow

Decrypted flow value

Double

packetBuffer

Packet buffer value

Double

systemMemory

System memory value

Double

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001/performancestats?metric=memory_utilization

Response

{
  "statistic": [
    {
      "time": "Tue Oct 25 22:24:00 PDT 2016",
      "value": 0,
      "flows": {
        "flowUsage": 0,
        "decryptedFlow": 0,
        "packetBuffer": 0,
        "systemMemory": 33
      }
    },
    {
      "time": "Tue Oct 25 22:27:00 PDT 2016",
      "value": 0,
      "flows": {
        "flowUsage": 0,
        "decryptedFlow": 0,
        "packetBuffer": 0,
        "systemMemory": 33
      }
    },
	……………
    {
      "time": "Tue Oct 25 23:21:00 PDT 2016",
      "value": 0,
      "flows": {
        "flowUsage": 0,
        "decryptedFlow": 0,
        "packetBuffer": 0,
        "systemMemory": 33
      }
    }
  ]
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

404

1123

Invalid performance metric

3

404

1122

Invalid port